D'une manière generale les telephones Android sont compatibles. Il faut cependant que la version d'Android soit > 1.5.
Si ce n'est pas le cas, rien n'est perdu. Contacter votre opérateur qui vous indiquera la démarche pour le monter de version. Il s'agit d'une opération assez simple.